Carbon.EventHotKeyID (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, interface: Carbon, class: EventHotKeyID

Package com.sun.jna.platform.mac

# Class Carbon.EventHotKeyID

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.mac.Carbon.EventHotKeyID

Direct Known Subclasses:
  `Carbon.EventHotKeyID.ByValue`

Enclosing interface:
  Carbon

@FieldOrder({"signature","id"}) public static class Carbon.EventHotKeyID extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Carbon.EventHotKeyID.ByValue`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `id`
  `int`
  `signature`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventHotKeyID()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### signature

    public int signature

  - ### id

    public int id

- ## Constructor Details

  - ### EventHotKeyID

    public EventHotKeyID()